LogASTTransformation (Groovy 5.0.0)
Description: declaration: package: org.codehaus.groovy.transform, class: LogASTTransformation

Package org.codehaus.groovy.transform

# Class LogASTTransformation

java.lang.Object
org.codehaus.groovy.transform.AbstractASTTransformation
org.codehaus.groovy.transform.LogASTTransformation

All Implemented Interfaces:
  `CompilationUnitAware`, `ASTTransformation`, `ErrorCollecting`, `TransformWithPriority`

public class LogASTTransformation extends AbstractASTTransformation implements CompilationUnitAware, TransformWithPriority
This class provides an AST Transformation to add a log field to a class.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `LogASTTransformation.AbstractLoggingStrategy`
  `static class`
  `LogASTTransformation.AbstractLoggingStrategyV2`
  `static interface`
  `LogASTTransformation.LoggingStrategy`
  A LoggingStrategy defines how to wire a new logger instance into an existing class.
  `static interface`
  `LogASTTransformation.LoggingStrategyV2`
  A LoggingStrategy defines how to wire a new logger instance into an existing class.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_ACCESS_MODIFIER`
  `static final String`
  `DEFAULT_CATEGORY_NAME`
  This is just a dummy value used because String annotations values can not be null.

  ### Fields inherited from class org.codehaus.groovy.transform.AbstractASTTransformation

  `RETENTION_CLASSNODE, sourceUnit`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LogASTTransformation()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `priority()`
  `void`
  `setCompilationUnit(CompilationUnit compilationUnit)`
  `void`
  `visit(ASTNode[] nodes, SourceUnit sourceUnit)`
  The method is invoked when an AST Transformation is active.

  ### Methods inherited from class org.codehaus.groovy.transform.AbstractASTTransformation

  `addError, checkIncludeExcludeUndefinedAware, checkIncludeExcludeUndefinedAware, checkNotInterface, checkPropertyList, checkPropertyList, checkPropertyList, copyAnnotatedNodeAnnotations, copyAnnotatedNodeAnnotations, deemedInternalName, getAnnotationName, getMemberClassList, getMemberClassValue, getMemberClassValue, getMemberIntValue, getMemberStringList, getMemberStringValue, getMemberStringValue, getMemberValue, hasAnnotation, init, memberHasValue, shouldSkip, shouldSkip, shouldSkipOnDescriptorUndefinedAware, shouldSkipUndefinedAware, shouldSkipUndefinedAware, tokenize`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_CATEGORY_NAME

    public static final String DEFAULT_CATEGORY_NAME
    This is just a dummy value used because String annotations values can not be null. It will be replaced by the fully qualified class name of the annotated class.
    See Also:
      - Constant Field Values

  - ### DEFAULT_ACCESS_MODIFIER

    public static final String DEFAULT_ACCESS_MODIFIER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LogASTTransformation

    public LogASTTransformation()

- ## Method Details

  - ### priority

    public int priority()
    Specified by:
      `priority` in interface `TransformWithPriority`

  - ### setCompilationUnit

    public void setCompilationUnit(CompilationUnit compilationUnit)
    Specified by:
      `setCompilationUnit` in interface `CompilationUnitAware`

  - ### visit

    public void visit(ASTNode[] nodes, SourceUnit sourceUnit)
    Description copied from interface: `ASTTransformation`
    The method is invoked when an AST Transformation is active. For local transformations, it is invoked once each time the local annotation is encountered. For global transformations, it is invoked once for every source unit, which is typically a source file.
    Specified by:
      `visit` in interface `ASTTransformation`
    Parameters:
      `nodes` - The ASTnodes when the call was triggered. Element 0 is the AnnotationNode that triggered this annotation to be activated. Element 1 is the AnnotatedNode decorated, such as a MethodNode or ClassNode. For global transformations it is usually safe to ignore this parameter.
      `sourceUnit` - The source unit being compiled. The source unit may contain several classes. For global transformations, information about the AST can be retrieved from this object.